# Extending the rubytree gem with some additional methods
# see: http://rubytree.anupamsg.me/
module Tree
  class TreeNode

    ##
    # @return the right siblings of the current node
    def right_siblings
      if self.is_last_sibling?
        return []
      else
        return [self.next_sibling] + self.next_sibling.right_siblings
      end
    end

    ##
    # @return the left siblings of the current node
    def left_siblings
      if self.is_first_sibling?
        return []
      else
        return [self.previous_sibling] + self.previous_sibling.left_siblings
      end
    end
  end
end
